Subject: Re: bug#60190: 29.0.50; Improve `Info-goto-node-web'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Dec 2022 17:27:42 +0200

> From: Eduardo Ochs <[email-masked]>
> Date: Mon, 19 Dec 2022 12:05:53 -0300
> Cc: [email-masked], [email-masked]
> 
> On Mon, 19 Dec 2022 at 09:31, Eli Zaretskii <[email-masked]> wrote:
> >
> > > Cc: [email-masked]
> > > From: Eduardo Ochs <[email-masked]>
> > > Date: Mon, 19 Dec 2022 04:02:47 -0300
> > >
> > >   (defvar Info-url-base
> > >     '(("emacs"  . "http://www.gnu.org/software/emacs/manual/html_node/emacs/")
> > >       ("elisp"  . "http://www.gnu.org/software/emacs/manual/html_node/elisp/")
> > >       ("eintr"  .
> > > "http://www.gnu.org/software/emacs/emacs-lisp-intro/html_node/")
> > >       ("efaq"   . "https://www.gnu.org/software/emacs/manual/html_node/efaq/")
> > >       ("cl"     . "http://www.gnu.org/software/emacs/manual/html_node/cl/")
> > >       ("eshell" . "https://www.gnu.org/software/emacs/manual/html_node/eshell/")
> > >       ("org"    . "http://www.gnu.org/software/emacs/manual/html_node/org/")))
> >
> > Aren't these mappings trivial?  You seem to be prepending the same
> > prefix to the exact name of the Info file (sans extension).  Or what
> > did I miss?
> 
> No, look at the case of the eintr...

Why is that necessary?  If you go to this page:

  https://www.gnu.org/software/emacs/manual/

you will see there a link to eintr which is this:

  https://www.gnu.org/software/emacs/manual/eintr.html

And if you follow it, you will find the manual itself at this URL:

  https://www.gnu.org/software/emacs/manual/html_node/eintr/index.html

which AFAIU doesn't require any database to generate.  Right?

> And if we use a table for the conversion then users can add new
> entries to it easily, including entries that don't follow that
> pattern.

I'm not against the table, I'm saying that for the manuals that come
with Emacs we don't need any entries in the table.  IOW, the table
could be provided, but only for extensions by users, if they want to
extend this to manuals which don't come as part of the Emacs
distribution.